Categories:
  - Games
License: GPL-3.0-only
SourceCode: https://github.com/peterosterlund2/droidfish
IssueTracker: https://github.com/peterosterlund2/droidfish/issues
Changelog: https://github.com/peterosterlund2/droidfish/blob/HEAD/ChangeLog.txt

AutoName: DroidFish
Summary: Chess program
Description: |-
    Port of the CuckooChess applet/engine. Features include:

    * Opening books: Internal, polyglot, CTG
    * Clocks
    * Analyze mode
    * Two player mode
    * Edit board
    * PGN import/export/edit
    * FEN/EPD import
    * Adjustable playing strength
    * One Touch Moves
    * Blindfold mode
    * Color themes
    * Animated moves
    * Scid DB support using "Scid on the go"
    * Highly configurable
    * Third party UCI engines
    * Configurable UCI engine options
    * Support for "open exchange" engine apps, such as texel and komodo 8.
    * Gaviota endgame tablebases
    * Syzygy endgame tablebases

    If you have [[org.scid.android]] installed you can read Scid database files
    directly from the app by long-pressing the board and choosing Load game from
    Scid file.

RepoType: git
Repo: https://github.com/peterosterlund2/droidfish

Builds:
  - versionName: '1.44'
    versionCode: 51
    commit: '963'
    subdir: DroidFish
    prebuild: cp -r ../CuckooChessEngine/src/* src/
    target: android-10
    buildjni:
      - yes

  - versionName: '1.45'
    versionCode: 52
    commit: '1044'
    subdir: DroidFish
    prebuild:
      - cp -r ../CuckooChessEngine/src/* src/
      - rm -rf obj/ assets/stockfish15.mygz
      - $$NDK$$/ndk-build
      - ant copy_stockfish -f build_copy_exe.xml
    target: android-10

  - versionName: '1.47'
    versionCode: 54
    commit: '1080'
    subdir: DroidFish
    prebuild:
      - cp -r ../CuckooChessEngine/src/* src/
      - rm -rf obj/ assets/stockfish15.mygz
      - $$NDK$$/ndk-build
      - ant copy_stockfish -f build_copy_exe.xml
    target: android-10

  - versionName: '1.50'
    versionCode: 57
    commit: '1113'
    subdir: DroidFish
    prebuild:
      - printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
      - rm assets/stockfish15.mygz
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.52'
    versionCode: 59
    commit: '1124'
    subdir: DroidFish
    prebuild:
      - printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
      - rm assets/stockfish15.mygz
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: 1.53 DD
    versionCode: 60
    commit: '1130'
    subdir: DroidFish
    prebuild:
      - printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
      - rm assets/stockfish15.mygz
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.54'
    versionCode: 61
    commit: '1143'
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.55'
    versionCode: 63
    commit: '1188'
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.56'
    versionCode: 64
    commit: '1196'
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.57'
    versionCode: 65
    commit: '1202'
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.61'
    versionCode: 69
    commit: e2538623d3aa92f3dca88519dbf8c9ca94e3b964
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    scanignore:
      - CuckooChessEngine/src/book.bin
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.62'
    versionCode: 70
    commit: ad63e43412e631d78e3501b65990cddc1a350feb
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    scanignore:
      - CuckooChessEngine/src/book.bin
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.63'
    versionCode: 71
    commit: 5fd10a8e54bf5eda00c5a6db2ed26c9570ece076
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    scanignore:
      - CuckooChessEngine/src/book.bin
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.64'
    versionCode: 72
    disable: crashes
    commit: 441afc339874869696a38c69387fefda25c1ab16
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    scanignore:
      - CuckooChessEngine/src/book.bin
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml

  - versionName: '1.66'
    versionCode: 74
    commit: 1b1977973a1c890836b3216fcde13de54475cd7d
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml
      - ant release
      - ant -f ../CuckooChessEngine/build_binbook.xml
      - ant -f build_eco.xml
      - ant release

  - versionName: '1.67'
    versionCode: 75
    commit: 1a4b857fe9a7640f005629743d9ed57bd4abf1e5
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml
      - ant release
      - ant -f ../CuckooChessEngine/build_binbook.xml
      - ant -f build_eco.xml
      - ant release

  - versionName: '1.68'
    versionCode: 76
    disable: 'ProGuard: Unsupported class version number [52.0] (maximum 51.0, Java
        1.7)'
    commit: 2f15e7a7752dfe9ba84ee4a58c80c92a05ff70f7
    subdir: DroidFish
    prebuild: printf 'source.dir=src;../CuckooChessEngine/src' > ant.properties
    build:
      - $$NDK$$/ndk-build
      - ant -f build_copy_exe.xml
      - ant release
      - ant -f ../CuckooChessEngine/build_binbook.xml
      - ant -f build_eco.xml
      - ant release

  - versionName: '1.72'
    versionCode: 80
    commit: '1.72'
    subdir: DroidFish
    sudo:
      - apt update || apt update
      - apt install -y proguard-cli
    prebuild:
      - echo 'source.dir=src;../CuckooChessEngine/src' > ant.properties
      - echo 'proguard.jar=/usr/share/java/proguard.jar' >> local.properties
    build:
      - $$NDK$$/ndk-build -j `nproc`
      - ant -f build_copy_exe.xml
      - ant release
      - ant -f ../CuckooChessEngine/build_binbook.xml
      - ant -f build_eco.xml
      - ant release
    ndk: r15c

  - versionName: '1.73'
    versionCode: 82
    commit: '1.73'
    subdir: DroidFish
    sudo:
      - apt update || apt update
      - apt install -y proguard-cli
    prebuild:
      - echo 'source.dir=src;../CuckooChessEngine/src' > ant.properties
      - echo 'proguard.jar=/usr/share/java/proguard.jar' >> local.properties
    build:
      - $$NDK$$/ndk-build -j `nproc`
      - ant -f build_copy_exe.xml
      - ant release
      - ant -f ../CuckooChessEngine/build_binbook.xml
      - ant -f build_eco.xml
      - ant release
    ndk: r15c

  - versionName: '1.74'
    versionCode: 84
    commit: '1.74'
    gradle:
      - yes
    output: DroidFishApp/build/outputs/apk/release/DroidFishApp-release-unsigned.apk
    scandelete:
      - buildSrc
      - CuckooChessEngine/src/main/resources/book.bin
    ndk: r19c

  - versionName: '1.76'
    versionCode: 86
    commit: '1.76'
    gradle:
      - yes
    output: DroidFishApp/build/outputs/apk/release/DroidFishApp-release-unsigned.apk
    scandelete:
      - buildSrc
      - CuckooChessEngine/src/main/resources/book.bin
    ndk: r19c

MaintainerNotes: scandelete cleans up binary files created by `gradle clean`.

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '1.76'
CurrentVersionCode: 86
